Subject: Re: MPC8555 USB host support

From: Mike Rapoport <[email-masked]>
Date: Tue, 15 Nov 2005 08:59:13 +0200

Hans Schillstrom wrote:

>Hi Mike
>I'm working with a 8270 board and 2.6.12 kernel and searching for USB
>drivers.
>
>Could you help me finding the files ?
>  
>
I've opened a project on the SourceForge, 
http://cpm2usb.sourceforge.net. The file containing patch against 
2.6.12.3 can be downloaded at http://sourceforge.net/projects/cpm2usb.

>I can help you with the testing.
>What status do they have right now ?
>  
>
The driver was developed on MPC8272ADS, but should go as well on 8270 
since they have the same USB host controller AFAIK.
Currently, as far as I tested it works fine with full-speed single 
device attached through hub, but fails is there are transfers from/to 
several devices simultaneously.
As for the code itself, it's far from being perfect.

>Regards 
>Hans

-- 
Sincerely yours,
Mike Rapoport